import 'package:native_admob_flutter/native_admob_flutter.dart';

/// Model contains configuration about admob unit.
class AdmobConfig {
  final String? nativeAdUnitId;
  final String? bannerAdUnitId;
  final String? interstitialAdUnitId;

  /// Admob volume, specially use with [InterstitialAd]. Default is 0.0 - meaning silent.
  final double? appVolume;

  /// List testing device ids, use ```flutter devices -d``` to fetch device id.
  final List<String> testDeviceIds;

  /// Contains informative data for logging.
  final Function(String)? loggingBuilder;

  /// If counter counts event > [thresholdShowInterstitialAds] then [InterstitialAd] will be shown.
  final int thresholdShowInterstitialAds;

  /// If counter counts retry times > [maxRetryReloadAds] then this ad unit is ignored
  final int maxRetryReloadAds;

  const AdmobConfig({
    this.nativeAdUnitId,
    this.bannerAdUnitId,
    this.interstitialAdUnitId,
    this.appVolume,
    this.testDeviceIds = const [],
    this.loggingBuilder,
    this.thresholdShowInterstitialAds = 1,
    this.maxRetryReloadAds = 2,
  });
}
