import 'package:flutter_inapp_purchase/modules.dart';

import 'subscription_item.dart';

/// Model contains configuration about in-app-purchase.
class IapConfig {
  /// Limit retry times after failure connects to store.
  final int maxRetryConnectBilling;

  /// SKUs on store.
  final List<String> skuList;

  /// Offering SKUs to show in Premium Page.
  final List<String> offeringSkuList;

  /// Free premium-feature usage times.
  final int limitFreeUsage;

  /// Convert store sku items into local items for showing on UI.
  final List<SubscriptionItem> Function(List<IAPItem>) skuConverter;

  const IapConfig({
    required this.skuConverter,
    this.maxRetryConnectBilling = 2,
    this.skuList = const [],
    this.offeringSkuList = const [],
    this.limitFreeUsage = 10,
  });
}
