import 'package:purchases_flutter/purchases_flutter.dart';

import 'subscription_item.dart';

class RevcatIapConfig {
  /// RevenueCat project's public key
  final String publicKey;

  /// EntitlementID that configured on RevenueCat
  final String entitlementID;

  /// RevenueCat project's [appUserId]
  final String? appUserId;

  /// Enable debug logs or not
  final bool enabledLogs;

  /// Free premium-feature usage times.
  final int limitFreeUsage;

  /// Convert RevenueCat packages into local items for showing on UI.
  final List<SubscriptionItem> Function(List<Package>) packageConverter;

  const RevcatIapConfig({
    required this.publicKey,
    required this.entitlementID,
    required this.packageConverter,
    this.appUserId,
    this.enabledLogs = false,
    this.limitFreeUsage = 10,
  });
}
