/// Repository for handling request/response about monetized models from database.
///
/// Should use [Hive](https://pub.dev/packages/hive).
abstract class MonetizedRepo {
  /// Get in-app-purchase status from database
  Future<bool> fetchPurchasedIapStatus();

  /// Store recently in-app-purchase status into database
  Future<void> savePurchasedIapStatus({bool purchased = false});

  /// Count user's used free premium-feature
  Future<int> fetchFreeUsedToday();

  /// Update counter of user's used free premium-feature
  Future<void> updateFreeUsedToday();
}
